using System;
using System.Collections.Generic;
using System.Text;
using System.Net;
using System.IO;

namespace OTSMS
{
    public class sms
    {
        //تجريب
        public int GetCredits(string UserName, string UserPassword)
        {

            HttpWebRequest request;
            HttpWebResponse response;
            StreamReader reader;

            string url = "https://mobile.net.sa/sms/gw/Credits.php";

            try
            {
                request = (HttpWebRequest)(WebRequest.Create(url));

                var postData = "userName=" + UserName;
                postData += "&userPassword=" + UserPassword;
                postData += "&By=standard";
                var data = Encoding.UTF8.GetBytes(postData);

                request.Method = "POST";
                request.ContentType = "application/x-www-form-urlencoded";
                request.ContentLength = data.Length;

                using (var stream = request.GetRequestStream())
                {
                    stream.Write(data, 0, data.Length);
                }


                response = (HttpWebResponse)(request.GetResponse());
                reader = new StreamReader(response.GetResponseStream());

            }
            finally
            {

            }

            return Convert.ToInt32(reader.ReadToEnd());


        }

        public string GetCreditsXML(string UserName, string UserPassword)
        {

            HttpWebRequest request;
            HttpWebResponse response;
            StreamReader reader;

            string url = "https://mobile.net.sa/sms/gw/Credits.php";

            try
            {
                request = (HttpWebRequest)(WebRequest.Create(url));

                var postData = "userName=" + UserName;
                postData += "&userPassword=" + UserPassword;
                postData += "&By=standard";
                postData += "&return=XML";
                var data = Encoding.UTF8.GetBytes(postData);

                request.Method = "POST";
                request.ContentType = "application/x-www-form-urlencoded";
                request.ContentLength = data.Length;

                using (var stream = request.GetRequestStream())
                {
                    stream.Write(data, 0, data.Length);
                }


                response = (HttpWebResponse)(request.GetResponse());
                reader = new StreamReader(response.GetResponseStream());

            }
            finally
            {

            }

            return reader.ReadToEnd();

        }

        public string SendSMS(string UserName, string UserPassword, string Numbers, string Originator, string Message, string infos)
        {

            HttpWebRequest request;
            HttpWebResponse response;
            StreamReader reader;

            string url = "https://mobile.net.sa/sms/gw/index.php";

            try
            {
                request = (HttpWebRequest)(WebRequest.Create(url));

                var postData = "userName=" + UserName;
                postData += "&userPassword=" + UserPassword;
                postData += "&numbers=" + Numbers;
                postData += "&userSender=" + Originator;
                postData += "&msg=" + Message;
                postData += "&By=standard";
                postData += infos;
                var data = Encoding.UTF8.GetBytes(postData);

                request.Method = "POST";
                request.ContentType = "application/x-www-form-urlencoded";
                request.ContentLength = data.Length;

                using (var stream = request.GetRequestStream())
                {
                    stream.Write(data, 0, data.Length);
                }

                response = (HttpWebResponse)(request.GetResponse());
                reader = new StreamReader(response.GetResponseStream());

            }
            finally
            {

            }

            return reader.ReadToEnd();

        }

        public string SendSMSXML(string UserName, string UserPassword, string Numbers, string Originator, string Message, string infos)
        {

            HttpWebRequest request;
            HttpWebResponse response;
            StreamReader reader;

            string url = "https://mobile.net.sa/sms/gw/index.php";

            try
            {
                request = (HttpWebRequest)(WebRequest.Create(url));

                var postData = "userName=" + UserName;
                postData += "&userPassword=" + UserPassword;
                postData += "&numbers=" + Numbers;
                postData += "&userSender=" + Originator;
                postData += "&msg=" + Message;
                postData += "&By=standard";
                postData += "&return=XML";
                postData += infos;
                var data = Encoding.UTF8.GetBytes(postData);

                request.Method = "POST";
                request.ContentType = "application/x-www-form-urlencoded";
                request.ContentLength = data.Length;

                using (var stream = request.GetRequestStream())
                {
                    stream.Write(data, 0, data.Length);
                }

                response = (HttpWebResponse)(request.GetResponse());
                reader = new StreamReader(response.GetResponseStream());

            }
            finally
            {

            }

            return reader.ReadToEnd();

        }

        public string get_sendername(string UserName, string UserPassword)
        {

            HttpWebRequest request;
            HttpWebResponse response;
            StreamReader reader;

            string url = "https://mobile.net.sa/sms/gw/Sender.php?userName=" + UserName + "&userPassword=" + UserPassword + "&By=standard";

            try
            {
                request = (HttpWebRequest)(WebRequest.Create(url));
                response = (HttpWebResponse)(request.GetResponse());
                reader = new StreamReader(response.GetResponseStream());

            }
            finally
            {

            }

            return reader.ReadToEnd().ToString();


        }

        public string get_sendernameXML(string UserName, string UserPassword)
        {

            HttpWebRequest request;
            HttpWebResponse response;
            StreamReader reader;

            string url = "https://mobile.net.sa/sms/gw/Sender.php?userName=" + UserName + "&userPassword=" + UserPassword + "&By=standard&return=XML";

            try
            {
                request = (HttpWebRequest)(WebRequest.Create(url));
                response = (HttpWebResponse)(request.GetResponse());
                reader = new StreamReader(response.GetResponseStream());

            }
            finally
            {

            }

            return reader.ReadToEnd().ToString();


        }


        public string CreateCat(string UserName, string UserPassword, string catname)
        {
            string url = "https://mobile.net.sa/sms/gw/cat.php?userName=" + UserName + "&userPassword=" + UserPassword + "&catname=" + catname + "";

            WebRequest wrq = WebRequest.Create(url);



            WebResponse wrp = wrq.GetResponse();
            StreamReader sr = new StreamReader(wrp.GetResponseStream());

            return sr.ReadToEnd();
        }

        public string CreateCatXML(string UserName, string UserPassword, string catname)
        {
            string url = "https://mobile.net.sa/sms/gw/cat.php?userName=" + UserName + "&userPassword=" + UserPassword + "&catname=" + catname + "&return=XML";

            WebRequest wrq = WebRequest.Create(url);



            WebResponse wrp = wrq.GetResponse();
            StreamReader sr = new StreamReader(wrp.GetResponseStream());

            return sr.ReadToEnd();
        }

        public string CreateNumberAndName(string UserName, string UserPassword, int catid, string number, string name)
        {

            HttpWebRequest request;
            HttpWebResponse response;
            StreamReader reader;

            string url = "https://mobile.net.sa/sms/gw/cat.php?userName=" + UserName + "&userPassword=" + UserPassword + "&catid=" + catid + "&number=" + number + "&name=" + name + "";

            try
            {
                request = (HttpWebRequest)(WebRequest.Create(url));
                response = (HttpWebResponse)(request.GetResponse());
                reader = new StreamReader(response.GetResponseStream());

            }
            finally
            {

            }

            return reader.ReadToEnd();
        }

        public string CreateNumberAndNameXML(string UserName, string UserPassword, int catid, string number, string name)
        {

            HttpWebRequest request;
            HttpWebResponse response;
            StreamReader reader;

            string url = "https://mobile.net.sa/sms/gw/cat.php?userName=" + UserName + "&userPassword=" + UserPassword + "&catid=" + catid + "&number=" + number + "&name=" + name + "&return=XML";

            try
            {
                request = (HttpWebRequest)(WebRequest.Create(url));
                response = (HttpWebResponse)(request.GetResponse());
                reader = new StreamReader(response.GetResponseStream());

            }
            finally
            {

            }

            return reader.ReadToEnd();
        }

        public string showID_Name_cat(string UserName, string UserPassword)
        {
            HttpWebRequest request;
            HttpWebResponse response;
            StreamReader reader;

            string url = "https://mobile.net.sa/sms/gw/cat.php?userName=" + UserName + "&userPassword=" + UserPassword + "&getcat=yes";

            try
            {
                request = (HttpWebRequest)(WebRequest.Create(url));
                response = (HttpWebResponse)(request.GetResponse());
                reader = new StreamReader(response.GetResponseStream());

            }
            finally
            {

            }

            return reader.ReadToEnd();


        }

        public string showID_Name_catXML(string UserName, string UserPassword)
        {
            HttpWebRequest request;
            HttpWebResponse response;
            StreamReader reader;

            string url = "https://mobile.net.sa/sms/gw/cat.php?userName=" + UserName + "&userPassword=" + UserPassword + "&getcat=yes" + "&return=XML";

            try
            {
                request = (HttpWebRequest)(WebRequest.Create(url));
                response = (HttpWebResponse)(request.GetResponse());
                reader = new StreamReader(response.GetResponseStream());

            }
            finally
            {

            }

            return reader.ReadToEnd();

        }

        public string showID_Name_numbers(string UserName, string UserPassword, string id_cat)
        {
            HttpWebRequest request;
            HttpWebResponse response;
            StreamReader reader;

            string url = "https://mobile.net.sa/sms/gw/cat.php?userName=" + UserName + "&userPassword=" + UserPassword + "&id_cat=" + id_cat;

            try
            {
                request = (HttpWebRequest)(WebRequest.Create(url));
                response = (HttpWebResponse)(request.GetResponse());
                reader = new StreamReader(response.GetResponseStream());

            }
            finally
            {

            }

            return reader.ReadToEnd();


        }

        public string showID_Name_numbersXML(string UserName, string UserPassword, string id_cat)
        {
            HttpWebRequest request;
            HttpWebResponse response;
            StreamReader reader;

            string url = "https://mobile.net.sa/sms/gw/cat.php?userName=" + UserName + "&userPassword=" + UserPassword + "&id_cat=" + id_cat + "&return=XML";

            try
            {
                request = (HttpWebRequest)(WebRequest.Create(url));
                response = (HttpWebResponse)(request.GetResponse());
                reader = new StreamReader(response.GetResponseStream());

            }
            finally
            {

            }

            return reader.ReadToEnd();

        }


    }
}
